DeepSeek V4.1 Flash
DeepSeek V4.1 Flash is a sparse mixture-of-experts model from DeepSeek, and the first built on the company's Causal Encoder-Decoder architecture. DeepSeek Ultra-Cheap Sparse MoE, with a 1M token context window.
/v1/ai/chatOverview
DeepSeek V4.1 Flash is a sparse mixture-of-experts model from DeepSeek, and the first built on the company's Causal Encoder-Decoder architecture. DeepSeek Ultra-Cheap Sparse MoE, with a 1M token context window.
| Property | Value |
|---|---|
| Model ID | deepseek/deepseek-v4.1-flash |
| Context Window | 1,048,576 tokens |
| Max Output | 384,000 tokens |
| Input Price | $0.05 / 1M tokens |
| Output Price | $0.43 / 1M tokens |
Usage
const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
model: 'deepseek/deepseek-v4.1-flash',
messages: [{ role: 'user', content: 'Summarize this 40-page contract into the ten clauses that most affect the buyer.' }],
}),
});
const { data } = await res.json();
console.log(data.message.content);curl -X POST https://api.yepapi.com/v1/ai/chat \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model": "deepseek/deepseek-v4.1-flash", "messages": [{"role": "user", "content": "Summarize this 40-page contract into the ten clauses that most affect the buyer."}]}'Request Body
| Parameter | Type | Required | Description | Default |
|---|---|---|---|---|
model | string | Yes | Model ID (e.g. deepseek/deepseek-v4.1-flash) | — |
messages | Message[] | Yes | Array of { role, content } objects | — |
maxTokens | number | No | Maximum tokens in the response | Model default |
temperature | number | No | Sampling temperature (0.0–2.0) | 1.0 |
topP | number | No | Nucleus sampling threshold | 1.0 |
frequencyPenalty | number | No | Penalize repeated tokens | 0 |
presencePenalty | number | No | Penalize tokens already present | 0 |
stream | boolean | No | Enable SSE streaming | false |
All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.
Response
{
"ok": true,
"data": {
"model": "deepseek/deepseek-v4.1-flash",
"message": {
"role": "assistant",
"content": "1. Auto-renewal with 90-day notice; 2. Liability capped at 12 months of fees; 3. Data returned within 30 days of termination; 4. Price increases capped at 5% per year; ... 10. Governing law: Delaware."
},
"usage": {
"promptTokens": 16,
"completionTokens": 245,
"totalTokens": 261
}
}
}Streaming
Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:
data: {"delta":{"content":"Use"},"model":"deepseek/deepseek-v4.1-flash","index":0}
data: [DONE]We handle auth, billing, and response normalization — you just send messages.
Llama 4 Maverick
Meta's largest open model. 1M context window with top-tier open-source performance at a budget-friendly price.
DeepSeek V4 Pro 0813
DeepSeek V4 Pro 0813 is the GA release of DeepSeek V4 Pro, a large-scale mixture-of-experts model. DeepSeek V4 Pro GA Release, with a 1M token context window.